package cn.ezhizao.project.business.supplier.service;

import cn.ezhizao.project.business.supplier.domain.BizSupplier;
import cn.ezhizao.project.business.supplier.domain.BizSupplierUser;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 外协商Service接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface IBizSupplierService extends IService<BizSupplier> {

    /**
     * 物理删除
     *
     * @param bizCarrier 外协商
     * @return 删除结果
     */
    int physicalDelete(BizSupplier bizCarrier);

    List<BizSupplier> getList(BizSupplier data);
    List<BizSupplier> getListByDept(SysDept data);
    List<BizSupplier> getOutsourceDept(BizSupplier data);

    boolean checkAllReturn(BizSupplier bizSupplier);
}
